import { registerCodeBlockRenderer } from ".";
import { SvelteCodeBlockRenderer } from "./SvelteCodeBlockRenderer";
import ReadingCalendarCodeBlockView from "./ReadingCalendarCodeBlockView.svelte";
import type BookTrackerPlugin from "@src/main";
import z from "zod/v4";

export function registerReadingCalendarCodeBlockProcessor(
	plugin: BookTrackerPlugin
): void {
	registerCodeBlockRenderer(
		plugin,
		"reading-calendar",
		(source, el) =>
			new SvelteCodeBlockRenderer(
				ReadingCalendarCodeBlockView,
				plugin,
				source,
				el
			)
	);
}

export const ReadingCalendarSettingsSchema = z.object({
	coverProperty: z.string(),
});
